compose_metadata:
  config-hash: 9962c3ce29442d948b524df280307d058b4f65155185a22cb8f9144f83ec430f
  container-number: '1'
  depends_on: gotrue:service_healthy:false
  image: sha256:1cb46cf2e7e9f40a45b2846048badeed9006d6059dec6e599ff9403b83280253
  oneoff: 'False'
  project: appflowy-cloud
  project.config_files: /home/jon/AppFlowy-Cloud/docker-compose.yml
  project.working_dir: /home/jon/AppFlowy-Cloud
  replace: c74355f4992768b91cc1c4e296581638dd571df9dfcb0cb100d8de28a66ed3a3
  service: appflowy_cloud
  version: 2.33.1
container_id: 583f3ad123c4dda1306bc127ec9f9527c6f5d8d8f654839c126a7f643155a710
created: '2025-08-20T03:18:51.277663347Z'
devices:
  device_cgroup_rules: []
  device_requests: []
  devices: []
environment:
  AI_OPENAI_API_KEY: '***SENSITIVE***'
  AI_SERVER_HOST: ai
  AI_SERVER_PORT: '5001'
  APPFLOWY_ACCESS_CONTROL: 'true'
  APPFLOWY_BASE_URL: https://appflowy-server.pressmess.duckdns.org
  APPFLOWY_DATABASE_MAX_CONNECTIONS: '40'
  APPFLOWY_DATABASE_URL: postgres://postgres:password@postgres:5432/postgres
  APPFLOWY_ENVIRONMENT: production
  APPFLOWY_GOTRUE_BASE_URL: http://gotrue:9999
  APPFLOWY_GOTRUE_JWT_EXP: '2592000'
  APPFLOWY_GOTRUE_JWT_SECRET: '***SENSITIVE_VALUE*** (hell...)'
  APPFLOWY_MAILER_SMTP_EMAIL: email_sender@some_company.com
  APPFLOWY_MAILER_SMTP_HOST: smtp.gmail.com
  APPFLOWY_MAILER_SMTP_PASSWORD: '***SENSITIVE_VALUE*** (emai...)'
  APPFLOWY_MAILER_SMTP_PORT: '465'
  APPFLOWY_MAILER_SMTP_TLS_KIND: wrapper
  APPFLOWY_MAILER_SMTP_USERNAME: email_sender@some_company.com
  APPFLOWY_REDIS_URI: redis://redis:6379
  APPFLOWY_S3_ACCESS_KEY: '***SENSITIVE_VALUE*** (mini...)'
  APPFLOWY_S3_BUCKET: appflowy
  APPFLOWY_S3_CREATE_BUCKET: 'true'
  APPFLOWY_S3_MINIO_URL: http://minio:9000
  APPFLOWY_S3_PRESIGNED_URL_ENDPOINT: ''
  APPFLOWY_S3_REGION: ''
  APPFLOWY_S3_SECRET_KEY: '***SENSITIVE_VALUE*** (mini...)'
  APPFLOWY_S3_USE_MINIO: 'true'
  APPFLOWY_WEB_URL: https://appflowy-server.pressmess.duckdns.org
  APP_ENVIRONMENT: production
  PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
  PORT: '8000'
  RUST_BACKTRACE: '1'
  RUST_LOG: info
execution:
  cmd:
  - appflowy_cloud
  entrypoint: null
  stop_signal: null
  user: ''
  working_dir: /app
host_system: surface_20250824
image:
  platform: linux
  sha: sha256:1cb46cf2e7e9f40a45b2846048badeed9006d6059dec6e599ff9403b83280253
  tag: appflowyinc/appflowy_cloud:latest
labels:
  com.docker.compose.config-hash: 9962c3ce29442d948b524df280307d058b4f65155185a22cb8f9144f83ec430f
  com.docker.compose.container-number: '1'
  com.docker.compose.depends_on: gotrue:service_healthy:false
  com.docker.compose.image: sha256:1cb46cf2e7e9f40a45b2846048badeed9006d6059dec6e599ff9403b83280253
  com.docker.compose.oneoff: 'False'
  com.docker.compose.project: appflowy-cloud
  com.docker.compose.project.config_files: /home/jon/AppFlowy-Cloud/docker-compose.yml
  com.docker.compose.project.working_dir: /home/jon/AppFlowy-Cloud
  com.docker.compose.replace: c74355f4992768b91cc1c4e296581638dd571df9dfcb0cb100d8de28a66ed3a3
  com.docker.compose.service: appflowy_cloud
  com.docker.compose.version: 2.33.1
  org.opencontainers.image.created: '2025-08-16T06:00:23.570Z'
  org.opencontainers.image.description: ''
  org.opencontainers.image.licenses: ''
  org.opencontainers.image.revision: 5b2233ac9bdd0e6d8d94eacf971fa9d2ff85be47
  org.opencontainers.image.source: https://github.com/AppFlowy-IO/AppFlowy-CI
  org.opencontainers.image.title: AppFlowy-CI
  org.opencontainers.image.url: https://github.com/AppFlowy-IO/AppFlowy-CI
  org.opencontainers.image.version: main
name: appflowy-cloud-appflowy_cloud-1
networks:
  dns:
    nameservers: []
    options: []
    search_domains: []
  extra_hosts: []
  links: null
  networks:
    appflowy-cloud_default:
      aliases:
      - appflowy-cloud-appflowy_cloud-1
      - appflowy_cloud
      dns_names:
      - appflowy-cloud-appflowy_cloud-1
      - appflowy_cloud
      - 583f3ad123c4
      endpoint_id: 54972fc651ad1d4e0568a17f6124718d3986771b5c27c50b4bfdec76ba4c7e24
      gateway: 172.20.0.1
      global_ipv6_address: ''
      ip_address: 172.20.0.9
      ip_prefix_len: 16
      ipam_config: null
      ipv6_gateway: ''
      mac_address: a2:24:6c:46:13:bf
      network_id: 97af1691b8d266f4c650dc087b71a4fba5d8b364642e765f132c5c8c3100b74c
  publish_all_ports: false
ports:
  bindings: {}
  exposed:
  - 8000/tcp
  published: {}
resources:
  blkio:
    device_read_bps: null
    device_read_iops: null
    device_write_bps: null
    device_write_iops: null
    weight: 0
    weight_device: null
  cpu:
    count: 0
    cpuset_cpus: ''
    cpuset_mems: ''
    percent: 0
    period: 0
    quota: 0
    realtime_period: 0
    realtime_runtime: 0
    shares: 0
  io:
    maximum_bandwidth: 0
    maximum_iops: 0
  memory:
    limit: 0
    oom_kill_disable: null
    reservation: 0
    swap: 0
    swappiness: null
  pids_limit: null
  shm_size: 67108864
  ulimits: null
runtime:
  auto_remove: false
  cgroup_ns_mode: private
  ipc_mode: private
  network_mode: appflowy-cloud_default
  pid_mode: ''
  privileged: false
  restart_policy:
    MaximumRetryCount: 0
    Name: on-failure
  user_ns_mode: ''
  uts_mode: ''
security:
  apparmor_profile: docker-default
  cap_add: null
  cap_drop: null
  cgroup: ''
  cgroup_parent: ''
  group_add: null
  isolation: ''
  masked_paths:
  - /proc/asound
  - /proc/acpi
  - /proc/interrupts
  - /proc/kcore
  - /proc/keys
  - /proc/latency_stats
  - /proc/timer_list
  - /proc/timer_stats
  - /proc/sched_debug
  - /proc/scsi
  - /sys/firmware
  - /sys/devices/virtual/powercap
  - /sys/devices/system/cpu/cpu0/thermal_throttle
  - /sys/devices/system/cpu/cpu1/thermal_throttle
  - /sys/devices/system/cpu/cpu2/thermal_throttle
  - /sys/devices/system/cpu/cpu3/thermal_throttle
  no_new_privileges: false
  oom_score_adj: 0
  readonly_paths:
  - /proc/bus
  - /proc/fs
  - /proc/irq
  - /proc/sys
  - /proc/sysrq-trigger
  readonly_rootfs: false
  runtime: runc
  security_opt: null
source_file: system_audit_surface_20250824_112825/discovery/2_services/container_appflowy-cloud-appflowy_cloud-1.json
volumes:
  bind_strings: []
  detailed_mounts: []
